Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class JcrConfiguration.AuthenticatorBuilder<ReturnType>

    java.lang.Object
      org.modeshape.repository.ModeShapeConfiguration.BaseReturnable<ReturnType>
          org.modeshape.repository.ModeShapeConfiguration.GraphReturnable<ReturnType,ThisType>
              org.modeshape.repository.ModeShapeConfiguration.GraphComponentBuilder<ReturnType,JcrConfiguration.AuthenticatorDefinition<ReturnType>,AuthenticationProvider>
                  org.modeshape.jcr.JcrConfiguration.AuthenticatorBuilder<ReturnType>

All Implemented Interfaces:
  JcrConfiguration.AuthenticatorDefinition<ReturnType>, ModeShapeConfiguration.ChooseClass<AuthenticationProvider,JcrConfiguration.AuthenticatorDefinition<ReturnType>>, ModeShapeConfiguration.Removable<ReturnType>, ModeShapeConfiguration.Returnable<ReturnType>, ModeShapeConfiguration.SetDescription<JcrConfiguration.AuthenticatorDefinition<ReturnType>>, ModeShapeConfiguration.SetProperties<JcrConfiguration.AuthenticatorDefinition<ReturnType>>

Enclosing class:
  JcrConfiguration

    protected static class JcrConfiguration.AuthenticatorBuilder<ReturnType>

extends ModeShapeConfiguration.GraphComponentBuilder<ReturnType,JcrConfiguration.AuthenticatorDefinition<ReturnType>,AuthenticationProvider>
implements JcrConfiguration.AuthenticatorDefinition<ReturnType>

Field Summary

Fields inherited from class org.modeshape.repository.ModeShapeConfiguration.GraphReturnable
`batch, context, path`

Fields inherited from class org.modeshape.repository.ModeShapeConfiguration.BaseReturnable
`returnObject`

Constructor Summary
`protected` | `JcrConfiguration.AuthenticatorBuilder(ReturnType returnObject, Graph.Batch batch, Path path, Name... names)`

Method Summary
`protected JcrConfiguration.AuthenticatorDefinition<ReturnType>` | `thisType()`

Methods inherited from class org.modeshape.repository.ModeShapeConfiguration.GraphComponentBuilder
`usingClass, usingClass`

Methods inherited from class org.modeshape.repository.ModeShapeConfiguration.GraphReturnable
`createIfMissing, createIfMissing, createIfMissing, getDescription, getName, getProperty, getProperty, remove, setDescription, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, subpath`

Methods inherited from class org.modeshape.repository.ModeShapeConfiguration.BaseReturnable
`and`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.Returnable
`and`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.SetDescription
`getDescription, setDescription`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.SetProperties
`getProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.ChooseClass
`usingClass, usingClass`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.Removable
`remove`

Constructor Detail

### JcrConfiguration.AuthenticatorBuilder

    protected JcrConfiguration.AuthenticatorBuilder(ReturnType returnObject,
                                                    Graph.Batch batch,
                                                    Path path,
                                                    Name... names)

Method Detail

### thisType

    protected JcrConfiguration.AuthenticatorDefinition<ReturnType> thisType()

  Specified by:
    `thisType` in class `ModeShapeConfiguration.GraphReturnable<ReturnType,JcrConfiguration.AuthenticatorDefinition<ReturnType>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.